SYSTEMD-COREDUMPCTL(1)

NAME
systemd-coredumpctl - Retrieve coredumps from the journal

SYNOPSIS

systemd-coredumpctl [OPTIONS...] {COMMAND} [PID|COMM|EXE|MATCH...]

DESCRIPTION

systemd-coredumpctl may be used to retrieve coredumps from systemd-journald(8).

OPTIONS

The following options are understood:

-F, --field=
    Print all possible data values the specified field takes in matching coredump entries of the journal.

-o, --output=FILE
    Write the core to FILE.

--no-legend
    Do not print the column headers.

-h, --help
    Print a short help text and exit.

--version
    Print a short version string and exit.

--no-pager
    Do not pipe output into a pager.

The following commands are understood:

list
    List coredumps captured in the journal matching specified characteristics.

dump
    Extract the last coredump matching specified characteristics. The coredump will be written on standard output, unless an output file is specified with -o/--output.

gdb
    Invoke the GNU debugger on the last coredump matching specified characteristics.

MATCHING

Match can be:

PID
    Process ID of the process that dumped core. An integer.

COMM
    Name of the executable (matches COREDUMP_COMM=). Must not contain slashes.

EXE
    Path to the executable (matches COREDUMP_EXE=). Must contain at least one slash.

MATCH
    General journalctl predicates (see journalctl(1)). Must contain an equals sign.

EXIT STATUS

On success, 0 is returned; otherwise, a non-zero failure code is returned. Not finding any matching coredumps is treated as failure.

SEE ALSO

systemd-journald.service(8), gdb(1)